Announcement

Collapse
No announcement yet.

Warning: Declaration of vBForum_Item_SocialGroupMessage

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #16
    Originally posted by Senfgurke View Post

    Hello Mark
    sorry Iam a rookie but i havent Plugins intalled
    iam using PHP 5.4

    I tried this- it didn't work. I still get:


    Warning: Declaration of vBForum_Item_SocialGroupMessage::getLoadQuery() should be compatible with that of vB_Model::getLoadQuery() in ..../packages/vbforum/item/socialgroupmessage.php on line 261

    Warning: Declaration of vBForum_Item_SocialGroupDiscussion::getLoadQuery() should be compatible with that of vB_Model::getLoadQuery() in ..../packages/vbforum/item/socialgroupdiscussion.php on line 337
    Nelson
    www.Hobby-Machinist.com

    Comment


    • #17
      Originally posted by Senfgurke View Post

      Hello Mark
      sorry Iam a rookie but i havent Plugins intalled
      iam using PHP 5.4

      Wayne, where do I put the :ini_set('display_errors',0); statement?

      Thanks.

      Nelson
      Nelson
      www.Hobby-Machinist.com

      Comment


      • #18
        I too am getting all the errors mentioned above on my 4.2.2 live site, these didn't occur until I upgraded to MySQL 5.5.32 from 5.0.96 and PHP 5.3.27 from 5.2.9.

        This problem does not occur on my 4.2.1 test site.

        Any help would be appreciated.

        Comment


        • #19
          Look like I have the same issue, I get this error on top of the page when I click Advanced Search on the forums:


          Warning: Declaration of vBForum_Item_SocialGroupMessage::getLoadQuery() should be compatible with vB_Model::getLoadQuery($required_query = '', $force_rebuild = false) in \wwwroot\packages\vbforum\item\socialgroupmessage.php on line 261

          Warning: Declaration of vBForum_Item_SocialGroupDiscussion::getLoadQuery() should be compatible with vB_Model::getLoadQuery($required_query = '', $force_rebuild = false) in \wwwroot\packages\vbforum\item\socialgroupdiscussion.php on line 337

          Comment


          • #20
            Originally posted by mikkel nl View Post
            Look like I have the same issue, I get this error on top of the page when I click Advanced Search on the forums:


            Warning: Declaration of vBForum_Item_SocialGroupMessage::getLoadQuery() should be compatible with vB_Model::getLoadQuery($required_query = '', $force_rebuild = false) in \wwwroot\packages\vbforum\item\socialgroupmessage.php on line 261

            Warning: Declaration of vBForum_Item_SocialGroupDiscussion::getLoadQuery() should be compatible with vB_Model::getLoadQuery($required_query = '', $force_rebuild = false) in \wwwroot\packages\vbforum\item\socialgroupdiscussion.php on line 337
            The same happens here

            Comment


            • #21
              My problem is solved
              i only add two line in class_core.php file
              In class_core.php locate lines 5683-5685
              Code:
               case E_NOTICE:    
                      // Just ignore these completely //    
                  break;
              Add this

              Code:
              case E_NOTICE: 
                     case E_STRICT;     
                 case E_DEPRECATED;        
                  // Just ignore these completely //  
                    break;
              My Problem is solved...all thing working fine...all the addon that not work and displying error on the top page and admin cp all of us fix.so if any one get problem do this.

              Comment


              • brandondrury
                brandondrury commented
                Editing a comment
                Worked for me! I'll take it. Thanks!

              • 14DH01
                14DH01 commented
                Editing a comment
                you must integrate Team developer "vb" at the top

              • Picasopaya
                Picasopaya commented
                Editing a comment
                Thanks for this hint!

            • #22
              Originally posted by M.Iftikhar View Post
              My problem is solved
              i only add two line in class_core.php file
              In class_core.php locate lines 5683-5685
              Code:
              case E_NOTICE:
              // Just ignore these completely //
              break;
              Add this

              Code:
              case E_NOTICE:
              case E_STRICT;
              case E_DEPRECATED;
              // Just ignore these completely //
              break;
              My Problem is solved...all thing working fine...all the addon that not work and displying error on the top page and admin cp all of us fix.so if any one get problem do this.
              Ok, I did this, and so far I am not seeing any more PHP errors!!!!

              Comment


              • #23
                Just done this too and my errors have now gone.

                Many thanks M.Iftikhar :-)

                Comment


                • #24
                  Originally posted by M.Iftikhar View Post
                  My problem is solved
                  i only add two line in class_core.php file
                  In class_core.php locate lines 5683-5685
                  Code:
                  case E_NOTICE:
                  // Just ignore these completely //
                  break;
                  Add this

                  Code:
                  case E_NOTICE:
                  case E_STRICT;
                  case E_DEPRECATED;
                  // Just ignore these completely //
                  break;
                  My Problem is solved...all thing working fine...all the addon that not work and displying error on the top page and admin cp all of us fix.so if any one get problem do this.

                  Yeaah Thank you very much it is now perfect

                  Comment


                  • #25
                    Yes. I can confirm this bug. I've got display_errors Off on my server. This is vB bug (4.2.2 version).
                    Your fix is working.

                    Comment


                    • #26
                      Hello,

                      I solved the problem in the following way:

                      1. - GetLoadQuery function edit the files "socialgroupmessage.php" and "socialgroupdiscussion.php" found in "packages/vbforum/item/"

                      2. - The original function reads:

                      Code:
                      protected function getLoadQuery($required_query, $force_rebuild = false)
                      3. - Change the function to this:

                      Code:
                      protected function getLoadQuery($required_query = self::QUERY_BASIC, $force_rebuild = false)
                      I hope they can!

                      Comment


                      • Noodles
                        Noodles commented
                        Editing a comment
                        Thanks, seems like a good fix. It's a shame that vBulletin is still distributing vb 4.2.2 without this fix 2 months later.

                      • dlevasseur
                        dlevasseur commented
                        Editing a comment
                        Thanks! As mentioned on page 3 of this thread I only edited the files in /packages/vbforum/item Worked great!

                      • majickal
                        majickal commented
                        Editing a comment
                        Thanks barcraft, that solved the issue

                    • #27
                      Where is the best method to fix on this issue ..
                      I've tried both and succeed ..
                      but I am confused, which one is the most exact method. .

                      this ..

                      Originally posted by M.Iftikhar View Post
                      My problem is solved
                      Code:
                      case E_NOTICE:
                      case E_STRICT;
                      case E_DEPRECATED;
                      // Just ignore these completely //
                      break;
                      or this ..

                      Originally posted by barcraft View Post
                      Hello,

                      I solved the problem in the following way:

                      1. - GetLoadQuery function edit the files "socialgroupmessage.php" and "socialgroupdiscussion.php" found in "packages/vbforum/item/"

                      2. - The original function reads:

                      Code:
                      protected function getLoadQuery($required_query, $force_rebuild = false)
                      3. - Change the function to this:

                      Code:
                      protected function getLoadQuery($required_query = self::QUERY_BASIC, $force_rebuild = false)
                      I hope they can!

                      Comment


                      • #28
                        The first one simply hides the error and warning messages... makes your forum look normal, but does not fix the problem.

                        The second fixes the error. I'm not sure if its the proper fix, but its still better then hiding (ignoring) error messages.

                        Originally posted by Muhammad Rahman View Post
                        Where is the best method to fix on this issue ..
                        I've tried both and succeed ..
                        but I am confused, which one is the most exact method. .

                        this ..



                        or this ..
                        Vincent
                        Running vBulletin for AquaticQuotient.com - a community of aquarium lovers

                        Comment


                        • #29
                          Originally posted by barcraft View Post
                          Hello,

                          I solved the problem in the following way:

                          1. - GetLoadQuery function edit the files "socialgroupmessage.php" and "socialgroupdiscussion.php" found in "packages/vbforum/item/"

                          2. - The original function reads:

                          Code:
                          protected function getLoadQuery($required_query, $force_rebuild = false)
                          3. - Change the function to this:

                          Code:
                          protected function getLoadQuery($required_query = self::QUERY_BASIC, $force_rebuild = false)
                          I hope they can!
                          I used this method and it worked perfect for me.
                          Thanks

                          Comment


                          • #30
                            Originally posted by Muhammad Rahman View Post
                            Where is the best method to fix on this issue ..
                            I've tried both and succeed ..
                            but I am confused, which one is the most exact method. .

                            this ..



                            or this ..
                            only the first one worked for me, though im still waiting for a fix by Vbulletin team.. there are so many errors with this new upgrade.. (vb4.2.2)
                            בגרות במתמטיקה | פתרונות לספרי לימוד

                            Comment

                            Working...
                            X